# openstack.orchestration.v1.stack_template

## The StackTemplate Class

The `StackTemplate` class inherits from `Resource`.

class openstack.orchestration.v1.stack_template.StackTemplate(_synchronized=False, connection=None, **attrs)

  The base resource

  Parameters:

    - _synchronized (bool) – This is not intended to be used directly. See `new()` and `existing()`.

    - connection (openstack.connection.Connection) – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of `self._connection` in Resource code should protect itself with a check for None.

  base_path = '/stacks/%(stack_name)s/%(stack_id)s/template'

    The base part of the URI for this resource.

  allow_create = False

    Allow create operation for this resource.

  allow_list = False

    Allow list operation for this resource.

  allow_fetch = True

    Allow get operation for this resource.

  allow_delete = False

    Allow delete operation for this resource.

  allow_commit = False

    Allow update operation for this resource.

  name

    Name of the stack where the template is referenced.

  stack_id

    ID of the stack where the template is referenced.

  description

    The description specified in the template

  heat_template_version

    The version of the orchestration HOT template.

  outputs

    Key and value that contain output data.

  parameters

    Key and value pairs that contain template parameters

  resources

    Key and value pairs that contain definition of resources in the template

this page last updated: 2026-01-16 23:06:19

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.